description

# ScrollState class Null safety

Annotations
  - @Native("ScrollState")

## Constructors

ScrollState([Map? scrollStateInit])
  factory

## Properties

deltaGranularity → num?
  read-only
deltaX → num?
  read-only
deltaY → num?
  read-only
fromUserInput → bool?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
inInertialPhase → bool?
  read-only
isBeginning → bool?
  read-only
isDirectManipulation → bool?
  read-only
isEnding → bool?
  read-only
positionX → int?
  read-only
positionY → int?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
velocityX → num?
  read-only
velocityY → num?
  read-only

## Methods

consumeDelta(num x, num y) → void
distributeToScrollChainDescendant() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited